//go:build reset
// +build reset

package tests

import (
	"net/http"
	"testing"

	"github.com/fiskerinc/cloud-services/services/jetfire/handlers"

	th "github.com/fiskerinc/cloud-services/pkg/testhelper"
)

func TestResetSchema(t *testing.T) {
	tests := []th.BasicHttpTest{
		{
			Name:             "Reset",
			Request:          th.MakeTestRequest(http.MethodGet, "http://example.com/reset", nil),
			ExpectedStatus:   http.StatusOK,
			ExpectedResponse: "",
		},
	}

	th.RunBasicHttpTests(t, tests, handlers.ResetSchemaDefinitions)
}
